name: nextjs
values:
  applicationDependencies:
    - name: isNginxInstalled
      repository: gitlab.com/openlizz/applications/nginx
    - name: isCertManagerInstalled
      repository: gitlab.com/openlizz/applications/cert-manager
    - name: isClusterIssuerInstalled
      repository: gitlab.com/openlizz/applications/cluster-issuer
    - name: isDomainInstalled
      repository: gitlab.com/openlizz/applications/domain-name
  clusterValues:
    - name: nginxName
      template: '{{ range .Applications }}{{ if eq .Configuration.Repository "gitlab.com/openlizz/applications/nginx" }}{{.Name}}{{ end }}{{ end }}'
    - name: nginxNamespace
      template: '{{ range .Applications }}{{ if eq .Configuration.Repository "gitlab.com/openlizz/applications/nginx" }}{{.Configuration.Namespace}}{{ end }}{{ end }}'
    - name: certManagerName
      template: '{{ range .Applications }}{{ if eq .Configuration.Repository "gitlab.com/openlizz/applications/cert-manager" }}{{.Name}}{{ end }}{{ end }}'
    - name: certManagerNamespace
      template: '{{ range .Applications }}{{ if eq .Configuration.Repository "gitlab.com/openlizz/applications/cert-manager" }}{{.Configuration.Namespace}}{{ end }}{{ end }}'
    - name: clusterIssuerName
      template: '{{ range .Applications }}{{ if eq .Configuration.Repository "gitlab.com/openlizz/applications/cluster-issuer" }}{{.Configuration.Name}}{{ end }}{{ end }}'
    - name: clusterIssuerNamespace
      template: '{{ range .Applications }}{{ if eq .Configuration.Repository "gitlab.com/openlizz/applications/cluster-issuer" }}{{.Configuration.Namespace}}{{ end }}{{ end }}'
    - name: domainName
      template: '{{ range .Applications }}{{ if eq .Configuration.Repository "gitlab.com/openlizz/applications/domain-name" }}{{.Configuration.Name}}{{ end }}{{ end }}'
    - name: domainNamespace
      template: '{{ range .Applications }}{{ if eq .Configuration.Repository "gitlab.com/openlizz/applications/domain-name" }}{{.Configuration.Namespace}}{{ end }}{{ end }}'
  applicationValues:
    - name: domain
      repository: gitlab.com/openlizz/applications/domain-name
      path: configmap.yaml
      keys: ["data", "value"]
dependencies:
  - {{ index . "isDomainInstalled" }}
dependsOn:
  {{- if index . "isNginxInstalled" }}
  - name: {{index . "nginxName"}}
    namespace: {{index . "nginxNamespace"}}
  {{- end }}
  {{- if index . "isCertManagerInstalled" }}
  - name: {{index . "certManagerName"}}
    namespace: {{index . "certManagerNamespace"}}
  {{- end }}
  {{- if index . "isClusterIssuerInstalled" }}
  - name: {{index . "clusterIssuerName"}}
    namespace: {{index . "clusterIssuerNamespace"}}
  {{- end }}
  {{- if index . "isDomainInstalled" }}
  - name: {{index . "domainName"}}
    namespace: {{index . "domainNamespace"}}
  {{- end }}
templatingBlackList: ["application/"]
encryption:
  enabled: true
  inputPaths:
    - deployment/base/registrycredentials.yaml
